Name:           python-wagtail-generic-chooser
Version:        0.7
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A toolkit for custom chooser popups in Wagtail

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/wagtail/wagtail-generic-chooser
Source:         %{pypi_source wagtail_generic_chooser}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'wagtail-generic-chooser' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-wagtail-generic-chooser
Summary:        %{summary}

%description -n python3-wagtail-generic-chooser %_description


%prep
%autosetup -p1 -n wagtail_generic_chooser-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-wagtail-generic-chooser -f %{pyproject_files}


%changelog
%autochangelog